Skip to main content
POST
/
webhooks
Create a webhook
curl --request POST \
  --url https://api.demo.cula.earth/tracking/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://hooks.example.com/events/",
  "events": [
    "sink.verified"
  ],
  "description": "Sync sinks into the marketplace"
}
'
{
  "id": "wbh_5ZTPGQX00HOLKUNM",
  "url": "https://hooks.example.com/events/",
  "events": [
    "sink.verified"
  ],
  "description": null,
  "status": "enabled",
  "created_at": "2025-10-10T21:03:58Z",
  "updated_at": "2025-10-10T21:03:58Z",
  "secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Body

application/json
url
string<uri>
required
Maximum string length: 2048
Example:

"https://hooks.example.com/events/"

events
enum<string>[]
required
Minimum array length: 1
Available options:
sink.verified
Example:
["sink.verified"]
description
string | null
Maximum string length: 200
Example:

"Sync sinks into the marketplace"

Response

Webhook created.

id
string
required
Example:

"wbh_5ZTPGQX00HOLKUNM"

url
string<uri>
required
Example:

"https://hooks.example.com/events/"

events
enum<string>[]
required
Minimum array length: 1
Available options:
sink.verified
Example:
["sink.verified"]
description
string | null
required
Example:

null

status
enum<string>
required
Available options:
enabled,
disabled
Example:

"enabled"

created_at
string<date-time>
required
Example:

"2025-10-10T21:03:58Z"

updated_at
string<date-time>
required
Example:

"2025-10-10T21:03:58Z"

secret
string

Symmetric signing secret for HMAC signature verification. Only returned once upon webhook creation.

Pattern: ^whsec_[A-Za-z0-9+/=]+$
Example:

"whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"